## org.eclipse.uml2.uml.editor.actions
Class UMLCommandAction

    java.lang.Object
      org.eclipse.emf.edit.ui.action.CommandAction
          org.eclipse.uml2.uml.editor.actions.UMLCommandAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IActionDelegate2, org.eclipse.ui.IEditorActionDelegate, org.eclipse.ui.IViewActionDelegate

Direct Known Subclasses:
  ApplyProfileAction, ApplyStereotypeAction, CreateExtensionAction, DestroyElementAction, DiagnosticAction, ImportTypeAction, ReferenceMetaclassAction, ReferenceMetamodelAction, UnapplyProfileAction, UnapplyStereotypeAction

    public class UMLCommandAction

extends org.eclipse.emf.edit.ui.action.CommandAction

Nested Class Summary
`protected class` `UMLCommandAction.RefreshingChangeCommand`
`protected class` `UMLCommandAction.TextComparator<T>`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`action, collection, command, editingDomain, editorPart, workbenchPart`

Constructor Summary
`protected` `UMLCommandAction()`

Method Summary
`protected org.eclipse.emf.common.notify.AdapterFactory` `getAdapterFactory()`
`protected org.eclipse.jface.viewers.ILabelProvider` `getLabelProvider()`
`protected void` `refreshViewer()`
`void` `setActiveEditor(org.eclipse.jface.action.IAction action, org.eclipse.ui.IEditorPart editorPart)`

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`createActionCommand, dispose, getDefaultImageDescriptor, init, init, objectToImageDescriptor, run, runWithEvent, selectionChanged, setActiveWorkbenchPart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLCommandAction

    protected UMLCommandAction()

Method Detail

### getLabelProvider

    protected org.eclipse.jface.viewers.ILabelProvider getLabelProvider()

### getAdapterFactory

    protected org.eclipse.emf.common.notify.AdapterFactory getAdapterFactory()

### setActiveEditor

    public void setActiveEditor(org.eclipse.jface.action.IAction action,
                                org.eclipse.ui.IEditorPart editorPart)

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionDelegate`
  Overrides:
    `setActiveEditor` in class `org.eclipse.emf.edit.ui.action.CommandAction`

### refreshViewer

    protected void refreshViewer()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.